LinkedHashtable (Apache Ant API)
Date: 2013-12-23

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class LinkedHashtable<K,V>

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<K,V>
              org.apache.tools.ant.util.LinkedHashtable<K,V>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<K,V>

    public class LinkedHashtable<K,V>

extends java.util.Hashtable<K,V>

Subclass of Hashtable that wraps a LinkedHashMap to provide predictable iteration order.

This is not a general purpose class but has been written because the protected members of `Copy` prohibited later revisions from using a more predictable collection.

Methods are synchronized to keep Hashtable's contract.

Since:
  Ant 1.8.2
See Also:
  Serialized Form

Constructor Summary
`LinkedHashtable()`
`LinkedHashtable(int initialCapacity)`
`LinkedHashtable(int initialCapacity, float loadFactor)`
`LinkedHashtable(java.util.Map<K,V> m)`

Method Summary
`void` | `clear()`
`boolean` | `contains(java.lang.Object value)`
`boolean` | `containsKey(java.lang.Object value)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Enumeration<V>` | `elements()`
`java.util.Set<java.util.Map.Entry<K,V>>` | `entrySet()`
`boolean` | `equals(java.lang.Object o)`
`V` | `get(java.lang.Object k)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Enumeration<K>` | `keys()`
`java.util.Set<K>` | `keySet()`
`V` | `put(K k, V v)`
`void` | `putAll(java.util.Map<? extends K,? extends V> m)`
`V` | `remove(java.lang.Object k)`
`int` | `size()`
`java.lang.String` | `toString()`
`java.util.Collection<V>` | `values()`

Methods inherited from class java.util.Hashtable
`clone, rehash`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinkedHashtable

    public LinkedHashtable()

### LinkedHashtable

    public LinkedHashtable(int initialCapacity)

### LinkedHashtable

    public LinkedHashtable(int initialCapacity,
                           float loadFactor)

### LinkedHashtable

    public LinkedHashtable(java.util.Map<K,V> m)

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<K,V>`
  Overrides:
    `clear` in class `java.util.Hashtable<K,V>`

### contains

    public boolean contains(java.lang.Object value)

  Overrides:
    `contains` in class `java.util.Hashtable<K,V>`

### containsKey

    public boolean containsKey(java.lang.Object value)

  Specified by:
    `containsKey` in interface `java.util.Map<K,V>`
  Overrides:
    `containsKey` in class `java.util.Hashtable<K,V>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<K,V>`
  Overrides:
    `containsValue` in class `java.util.Hashtable<K,V>`

### elements

    public java.util.Enumeration<V> elements()

  Overrides:
    `elements` in class `java.util.Hashtable<K,V>`

### entrySet

    public java.util.Set<java.util.Map.Entry<K,V>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<K,V>`
  Overrides:
    `entrySet` in class `java.util.Hashtable<K,V>`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map<K,V>`
  Overrides:
    `equals` in class `java.util.Hashtable<K,V>`

### get

    public V get(java.lang.Object k)

  Specified by:
    `get` in interface `java.util.Map<K,V>`
  Overrides:
    `get` in class `java.util.Hashtable<K,V>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map<K,V>`
  Overrides:
    `hashCode` in class `java.util.Hashtable<K,V>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<K,V>`
  Overrides:
    `isEmpty` in class `java.util.Hashtable<K,V>`

### keys

    public java.util.Enumeration<K> keys()

  Overrides:
    `keys` in class `java.util.Hashtable<K,V>`

### keySet

    public java.util.Set<K> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<K,V>`
  Overrides:
    `keySet` in class `java.util.Hashtable<K,V>`

### put

    public V put(K k,
                 V v)

  Specified by:
    `put` in interface `java.util.Map<K,V>`
  Overrides:
    `put` in class `java.util.Hashtable<K,V>`

### putAll

    public void putAll(java.util.Map<? extends K,? extends V> m)

  Specified by:
    `putAll` in interface `java.util.Map<K,V>`
  Overrides:
    `putAll` in class `java.util.Hashtable<K,V>`

### remove

    public V remove(java.lang.Object k)

  Specified by:
    `remove` in interface `java.util.Map<K,V>`
  Overrides:
    `remove` in class `java.util.Hashtable<K,V>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<K,V>`
  Overrides:
    `size` in class `java.util.Hashtable<K,V>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.Hashtable<K,V>`

### values

    public java.util.Collection<V> values()

  Specified by:
    `values` in interface `java.util.Map<K,V>`
  Overrides:
    `values` in class `java.util.Hashtable<K,V>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD